import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  msg?: string;
}
// 添加
export const httpAdd = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}roleadd`, { data });
};
// 列表
export const httpList = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}rolelist`, { data });
};
// 详情
export const httpDetail = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}roleinfo`, { data });
};
// 更新
export const httpUpdate = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}rolesave`, { data });
};
// 状态
export const httpStatus = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}rolestatus`, { data });
};
// 删除
export const httpDelete = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}menustatus`, { data });
};
// 全部菜单按钮
export const httpMenuAll = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}menuactionlist`, { data });
};
